Index: GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp	(revision 863)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RssTree.cpp	(revision 1004)
@@ -107,29 +107,29 @@
 RssTree::RssTree()
 {
-  environment->GetIntValue("RssTree.maxDepth", termMaxDepth);
-  environment->GetIntValue("RssTree.minPvs", termMinPvs);
-  environment->GetIntValue("RssTree.minRays", termMinRays);
-  environment->GetFloatValue("RssTree.maxRayContribution", termMaxRayContribution);
-  environment->GetFloatValue("RssTree.maxCostRatio", termMaxCostRatio);
-
-  environment->GetFloatValue("RssTree.minSize", termMinSize);
+  Environment::GetSingleton()->GetIntValue("RssTree.maxDepth", termMaxDepth);
+  Environment::GetSingleton()->GetIntValue("RssTree.minPvs", termMinPvs);
+  Environment::GetSingleton()->GetIntValue("RssTree.minRays", termMinRays);
+  Environment::GetSingleton()->GetFloatValue("RssTree.maxRayContribution", termMaxRayContribution);
+  Environment::GetSingleton()->GetFloatValue("RssTree.maxCostRatio", termMaxCostRatio);
+
+  Environment::GetSingleton()->GetFloatValue("RssTree.minSize", termMinSize);
   termMinSize = sqr(termMinSize);
 	
-  environment->GetFloatValue("RssTree.refDirBoxMaxSize", refDirBoxMaxSize);
+  Environment::GetSingleton()->GetFloatValue("RssTree.refDirBoxMaxSize", refDirBoxMaxSize);
   refDirBoxMaxSize = sqr(refDirBoxMaxSize);
   
-  environment->GetFloatValue("RssTree.epsilon", epsilon);
-  environment->GetFloatValue("RssTree.ct_div_ci", ct_div_ci);
-	
-  environment->GetFloatValue("RssTree.maxTotalMemory", maxTotalMemory);
-  environment->GetFloatValue("RssTree.maxStaticMemory", maxStaticMemory);
-  
-  environment->GetFloatValue("RssTree.maxStaticMemory", maxStaticMemory);
-
-
-  
-  environment->GetIntValue("RssTree.accessTimeThreshold", accessTimeThreshold);
+  Environment::GetSingleton()->GetFloatValue("RssTree.epsilon", epsilon);
+  Environment::GetSingleton()->GetFloatValue("RssTree.ct_div_ci", ct_div_ci);
+	
+  Environment::GetSingleton()->GetFloatValue("RssTree.maxTotalMemory", maxTotalMemory);
+  Environment::GetSingleton()->GetFloatValue("RssTree.maxStaticMemory", maxStaticMemory);
+  
+  Environment::GetSingleton()->GetFloatValue("RssTree.maxStaticMemory", maxStaticMemory);
+
+
+  
+  Environment::GetSingleton()->GetIntValue("RssTree.accessTimeThreshold", accessTimeThreshold);
   //= 1000;
-  environment->GetIntValue("RssTree.minCollapseDepth", minCollapseDepth);
+  Environment::GetSingleton()->GetIntValue("RssTree.minCollapseDepth", minCollapseDepth);
   //  int minCollapseDepth = 4;
 
@@ -141,5 +141,5 @@
   // split type
   char sname[128];
-  environment->GetStringValue("RssTree.splitType", sname);
+  Environment::GetSingleton()->GetStringValue("RssTree.splitType", sname);
   string name(sname);
 	
@@ -157,15 +157,15 @@
 	  }
 	
-  environment->GetBoolValue("RssTree.randomize", randomize);
-  environment->GetBoolValue("RssTree.splitUseOnlyDrivingAxis", mSplitUseOnlyDrivingAxis);
-
-  environment->GetBoolValue("RssTree.interleaveDirSplits", mInterleaveDirSplits);
-  environment->GetIntValue("RssTree.dirSplitDepth", mDirSplitDepth);
-
-  environment->GetBoolValue("RssTree.importanceBasedCost", mImportanceBasedCost);
-  
-  environment->GetIntValue("RssTree.maxRays", mMaxRays);
-
-  environment->GetBoolValue("RssTree.perObjectTree", mPerObjectTree);
+  Environment::GetSingleton()->GetBoolValue("RssTree.randomize", randomize);
+  Environment::GetSingleton()->GetBoolValue("RssTree.splitUseOnlyDrivingAxis", mSplitUseOnlyDrivingAxis);
+
+  Environment::GetSingleton()->GetBoolValue("RssTree.interleaveDirSplits", mInterleaveDirSplits);
+  Environment::GetSingleton()->GetIntValue("RssTree.dirSplitDepth", mDirSplitDepth);
+
+  Environment::GetSingleton()->GetBoolValue("RssTree.importanceBasedCost", mImportanceBasedCost);
+  
+  Environment::GetSingleton()->GetIntValue("RssTree.maxRays", mMaxRays);
+
+  Environment::GetSingleton()->GetBoolValue("RssTree.perObjectTree", mPerObjectTree);
   
   //  mRoots;
